Subject: [PATCH] gnu: Add adl-submit.py

From: Sharlatan Hellseher <[email-masked]>
Date: Thu, 23 Jan 2025 19:33:46 +0000

Hi,

> This also complicates things: contributions to adl-submit.py need to
> fit into this file because that file is also served by the web
> application.

What if someone would like to create a proper python package first by
taking that file and preparing pyproject.toml with all dependencies? It
would ease the live both for packaging and maintain, WDYT?

I may prepare the project based on that script, I guess the license
would let us do that, or propose maintainers of
<https://framagit.org/agenda-libre/agenda-libre-ruby> to ship it as
dedicated project with the same reason you described - it would help
make live more bright and shiny.

--
Thanks
Oleg